1 Reply Latest reply on Jul 12, 2010 3:15 PM by Nick Belaevski

    ALPHA 2: ehcache-1.6.0 required?

    Blake Estes Newbie
      I am attempting to use RichFaces 4.0 ALPHA 2 in a JSF 2.0 project in NetBeans. I added the jars listed in the readme.txt file in the distribution, cssparser-0.9.5, and sac-1.3. When I deploy the application on Tomcat 6.0.26 I received the following exception:
       
      SEVERE: Servlet.service() for servlet Faces Servlet threw exception
      java.lang.NoSuchMethodError:     net.sf.ehcache.Element.<init>(Ljava/lang/Object;Ljava/lang/Object;Ljava/lang/Boolean;Ljava/lang/Integer;Ljava/lang/Integer;)V
      at org.ajax4jsf.cache.EhCacheCache.put(EhCacheCache.java:51)
      at org.richfaces.resource.ResourceHandlerImpl.handleResourceRequest(ResourceHandlerImpl.java:312)
      at javax.faces.webapp.FacesServlet.service(FacesServlet.java:310)

      I added ehcache-1.6.0 and the issue was resolved. The readme.txt file recommends using EhCache, JBoss Cache, or OsCache, but does not say ehcache-1.6.0 is required.